Subject: bug#44945: closed (Re: [bug#44945] [PATCH] Bump version of libgit2 from 1.0.1 -> 1.1.0)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Dec 2020 00:01:02 +0000

Your bug report

#44945: [PATCH] Bump version of libgit2 from 1.0.1 -> 1.1.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44945: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44945
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44945] [PATCH] Bump version of libgit2 from 1.0.1 -> 1.1.0
From: Leo Famulari <[email-masked]>
To: Holger Peters <[email-masked]>
Cc: [email-masked]
Date: Thu, 3 Dec 2020 19:00:35 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Dec 01, 2020 at 05:43:22PM +0100, Holger Peters wrote:
> I tried it out. It seems so:
> 
>    successfully built /gnu/store/3487vk6hs2vlw0sfw75am6m228vdixd7-guile-git-0.4.0.drv

Great!

I used `guix refresh --list-dependent libgit2` to see which packages
would be rebuilt as a consequence of changing libgit2, and tested
several of them against the update, and found that it caused failures of
packages using python-pygit2:

------
$ ./pre-inst-env guix build --no-grafts stagit [email-masked] offlate \
python-pygit2 emacs-evil-magit fritzing kopete kate r-stm jucipp celestia-gtk \
celestia [email-masked] gitg guix emacs-magit gwl gitless guix-build-coordinator \
--keep-going
[... it does a lot of work ...]
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -fPIC -I/usr/local/include -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/python3.8 -c src/blob.c -o build/temp.linux-x86_64-3.8/src/blob.o
In file included from src/blob.h:34:0,
                 from src/blob.c:30:
src/types.h:36:2: error: #error You need a compatible libgit2 version (0.99.x or 1.0.x)
 #error You need a compatible libgit2 version (0.99.x or 1.0.x)
  ^~~~~
error: command 'gcc' failed with exit status 1
command "python" "-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "build" failed with status 1
builder for `/gnu/store/0fvjfybgr66vygz1w5x6739fqsi14f9b-python-pygit2-1.1.0.drv' failed with exit code 1
build of /gnu/store/0fvjfybgr66vygz1w5x6739fqsi14f9b-python-pygit2-1.1.0.drv failed
------

I fixed this by updating python-pygit2 to the latest version, which is
compatible with libgit2 1.1.0.

I also tested the most important libgit2 user: Guix itself. Guix
commands are designed to compose usefully so you can do these arcane
wizard-ish Unix command substitutions:

------
$ $(./pre-inst-env guix build guix)/bin/guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 4496e03 (6 new commits)...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git	4496e03
Computing Guix derivation for 'x86_64-linux'...
[... it does more work ...]
New in this revision:
  105 new packages: catfish, cgoban, chicken-agrep, chicken-datatype, chicken-iset, chicken-srfi-1, chicken-srfi-14, chicken-srfi-69, chicken-test, cl-array-operations,
    cl-check-it, cl-clamp, …
  135 packages upgraded: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked],
    [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], …

News for channel 'guix'
  Local substitute servers discovery is now supported
  Logical Volume Manager (LVM) now supported on Guix System

hint: Run `guix pull --news' to read all the news.
------

It worked for me, so I pushed it as
68fa8fb0cb9f887a6d6069c897a16dc8fce0036d.

Thank you for the contribution!

Subject: [PATCH] Bump version of libgit2 from 1.0.1 -> 1.1.0
From: Holger Peters <[email-masked]>
To: [email-masked]
Cc: Holger Peters <[email-masked]>
Date: Sun, 29 Nov 2020 14:12:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/emacs-xyz.scm (libgit2): Bump version.
---
 gnu/packages/version-control.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 29de995665..bc5b55b594 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -666,7 +666,7 @@ to GitHub contributions calendar.")
 (define-public libgit2
   (package
     (name "libgit2")
-    (version "1.0.1")
+    (version "1.1.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://github.com/libgit2/libgit2/"
@@ -674,7 +674,7 @@ to GitHub contributions calendar.")
                                   "/libgit2-" version ".tar.gz"))
               (sha256
                (base32
-                "0nlg35pxhh548nn7aa3y1m81mf81nkbzz86i2psps4f474n497v8"))
+                "1fjdglkh04qv3b4alg621pxa689i0wlf8m7nf2755zawjr2zhwxd"))
               (patches (search-patches "libgit2-mtime-0.patch"))
               (snippet '(begin
                           (delete-file-recursively "deps") #t))
-- 
2.28.0